Subject: Re: More on 'setup' fails and breaks pre-existing Cygwin installation: now have prompt, but it's ultra-high-response time.
From: "Christopher M. Balz" <[email-masked]>
To: [email-masked]
Date: Sun, 21 Mar 2004 23:27:47 -0800

Please also see the other e-mail of similar subject title that I just 
sent, with 'cygcheck.out' attached.
I did run

"c:\cygwin\bin\bash --norc"

After a couple minutes the command prompt gave me:

    C:\WINNT\SYSTEM32>c:\cygwin\bin\bash --norc
    bash-2.05b$

This command prompt cannot find any commands ('ls' is 'not found').  
Also, after about five minutes from opening a Cygwin command prompt 
window, I do get a (ultra-high-response-time) prompt! ->

        TLSWE-LAPTOP-A0  Sun Mar 21 23:21:17
        ~/

Previously, I hadn't waited the full five minutes, thinking it was 
totally broken.  The prompt however takes almost a full minute to 
respond to a simple 'ls -ail' command (when listing only about 30 files 
in a directory). 

So, this installation is still not at all usable, and clearly the 
install problem needs to be fixed.

 - Chris

Igor Pechtchanski wrote:

>Okay, I don't recall seeing the output of "cygcheck -svr" attached to any
>of your messages, as requested in <http://cygwin.com/problems.html>.
>Please *attach* the output rather than including it inline.  You should be
>able to run cygcheck from a CMD prompt.
>
>Did you try a clean install by moving your Cygwin root directory out of
>the way?  Whether or not you're able to do this, and what exact errors you
>get when doing this, might prove instructive...  FWIW, unless you have
>non-standard mounts, you should be able to recover the original (albeit
>non-working) installation by moving the old root directory back to
>c:\cygwin...  But first things first -- we need to see the output of
>"cygcheck -svr".
>
>BTW, does running "c:\cygwin\bin\bash --norc" also result in no prompt?
>If not, does that bash work normally (note that you'll need to explicitly
>prepend "/bin:/usr/bin:/usr/X11R6/bin" to your PATH before you'll be able
>to run any commands)?
>	Igor
>
>On Sat, 20 Mar 2004, Christopher M. Balz wrote:
>
>  
>
>>The hang itself is indeed a soft hang.  I can click out of it using the
>>'Cancel' button, and then at least sometimes, 'setup' will tell me that
>>installation is complete.  Somewhere in these last clicks is where my
>>entire machine was taken down during two of my earlier attempts today.
>>
>>    cd c:\cygwin\bin
>>    .\bash.exe --login -i
>>
>>yields nothing, as before -- meaning that a blinking prompt is shown on
>>the line after the last command, and that's all.
>>
>> - CB
>>
>>Igor Pechtchanski wrote:
>>
>>    
>>
>>>On Sat, 20 Mar 2004, Christopher M. Balz wrote:
>>>
>>>      
>>>
>>>>Answering Igor's questions . . .
>>>>
>>>>'setup' hangs when it dies.  The window its in closes without any
>>>>problem, though.
>>>>        
>>>>
>>>So it doesn't really crash anything?  And this doesn't sound like a hard
>>>hang, either -- at least the events are processed normally...
>>>
>>>      
>>>
>>>>Running 'cygwin.bat' from the command line yields nothing.
>>>>        
>>>>
>>>I.e., just shows another prompt right away, or runs but doesn't show the
>>>prompt?  How about if you run
>>>
>>>cd c:\cygwin\bin
>>>.\bash.exe --login -i
>>>
>>>?
>>>
>>>      
>>>
>>>>Below is the content of my setup.log.full file:
>>>>
>>>>setup.log.full [irrelevant parts snipped]:
>>>>2004/03/20 10:11:01 Starting cygwin install, version 2.416
>>>>[X-startup-scripts] action=1.0.4-1 trust=curr installed=1.0.3-1 src?=no
>>>>    categories=All, XFree86
>>>>[xterm] action=185-2 trust=curr installed=185-1 src?=no
>>>>    categories=All, XFree86
>>>>2004/03/20 10:11:17 Installing file://C:\Program Files\cygwin/http%3a%2f%2fmirrors.sunsite.dk%2fcygwin/release/XFree86/X-startup-scripts/X-startup-scripts-1.0.4-1.tar.bz2
>>>>2004/03/20 10:11:18 Installing file://C:\Program Files\cygwin/http%3a%2f%2fmirrors.sunsite.dk%2fcygwin/release/XFree86/xterm/xterm-185-2.tar.bz2
>>>>2004/03/20 10:11:20 running: C:\cygwin\bin\sh.exe -c /etc/postinstall/post-texmf.sh
>>>>2004/03/20 11:24:36 mbox note: Installation Complete
>>>>2004/03/20 11:24:37 Ending cygwin install
>>>>        
>>>>
>>>Okay, so this shows that you did not reinstall either tetex-base or
>>>tetex-tiny (good), and the postinstall script is still executed (bad).
>>>This means that it never completed the execution, otherwise it would have
>>>been renamed to "*.done".  Try actually renaming it (by running
>>>
>>>cd c:\cygwin\etc\postinstall
>>>ren post-texmf.sh post-texmf.sh.done
>>>
>>>      
>>>
>>>from a CMD prompt).  Then try re-running setup and see if it still hangs.
>>    
>>
>>>Also, try the latest setup snapshot (<http://cygwin.com/setup-snapshots/>)
>>>and see if it fares better.
>>>
>>>It would also be interesting to try actually running the script (via
>>>
>>>c:\cygwin\bin\sh.exe -x /etc/postinstall/post-texmf.sh.done
>>>
>>>) and seeing if it hangs and what output it produces.
>>>HTH,
>>>      Igor
>>>
>>>      
>>>
>>>>Igor Pechtchanski wrote:
>>>>
>>>>        
>>>>
>>>>>On Sat, 20 Mar 2004, Christopher M. Balz wrote:
>>>>>
>>>>>          
>>>>>
>>>>>>On Win2K SP 4 up-to-date, I install most packages (including X and tex)
>>>>>>and 'setup' hangs with the folllowing message:
>>>>>>
>>>>>>  Running . . .
>>>>>>
>>>>>>  No package
>>>>>>
>>>>>>  /etc/postinstall/post-texmf.sh
>>>>>>
>>>>>>The  progress bar is almost finished at this point (above).
>>>>>>
>>>>>>The install has broken my Cygwin shell completely.  It pops up in a
>>>>>>window and closes fine but shows no text.
>>>>>>
>>>>>>            
>>>>>>
>>>>>Have you seen <http://cygwin.com/ml/cygwin/2004-03/msg00931.html> (my
>>>>>previous reply)?  If you run "cygwin.bat" from a CMD shell, do you get any
>>>>>messages?
>>>>>
>>>>>          
>>>>>
>>>>>>The first two times 'setup' hung, it crashed my machine.
>>>>>>            
>>>>>>
>>>>>"Crashed" as in BSOD?  What is the exact error (you may need to enable
>>>>>BSODs for this or look in the Windows Event log).
>>>>>
>>>>>          
>>>>>
>>>>>>I did try moving 'post-textmf.sh' to 'post-textmf.sh.done' but no luck.
>>>>>>            
>>>>>>
>>>>>                  ^^^^^^^^^^^^^^      ^^^^^^^^^^^^^^^^^^^
>>>>>This should be 'post-texmf.sh' and 'post-texmf.sh.done'...  But that file
>>>>>will be recreated every time you reinstall tetex-base or tetex-tiny.
>>>>>
>>>>>          
>>>>>
>>>>>>Thank you in advance!
>>>>>>- CB
>>>>>>            
>>>>>>
>>>>>Is there any post-texmf.sh output in /var/log/setup.log.full?
>>>>>     Igor
>>>>>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/